> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Lists all text-based knowledge base entries for the app.

# List Text Entries

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/agent-builder/knowledge-base/text
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/knowledge-base/text:
    get:
      tags:
        - knowledge-base
      summary: List Text Entries
      description: >-
        Retrieves all text-based knowledge base entries for the application. Use
        this endpoint to view and manage text content in the knowledge base.
      operationId: RagController_getTextDetails
      parameters: []
      responses:
        '200':
          description: Text details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
              example:
                data:
                  - uniqueId: f47ac10b-58cc-4372-a567-0e02b2c3d479
                    title: Company Policy Document
                    text: This document outlines...
                    fileName: company-policy-document.md
                    s3Key: my-app-id/text/f47ac10b/company-policy-document.md
                    status: indexed
                    createdAt: 1700000000000
                    updatedAt: 1700000000000
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````